> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Audit Param Schema



## OpenAPI

````yaml /api-reference/openapi.json put /api/audit-trail/param-schemas/{schema_uuid}
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/audit-trail/param-schemas/{schema_uuid}:
    put:
      tags:
        - audit-trail
      summary: Update Audit Param Schema
      operationId: >-
        update_audit_param_schema_api_audit_trail_param_schemas__schema_uuid__put
      parameters:
        - name: schema_uuid
          in: path
          required: true
          schema:
            type: string
            title: Schema Uuid
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuditParamDefinitionUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuditParamDefinitionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AuditParamDefinitionUpdate:
      properties:
        label:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Label
        data_type:
          anyOf:
            - type: string
              enum:
                - string
                - number
                - boolean
                - date
                - enum
            - type: 'null'
          title: Data Type
        enum_values:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Enum Values
        required:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Required
        description:
          anyOf:
            - type: string
              maxLength: 512
            - type: 'null'
          title: Description
        application_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Application Id
      type: object
      title: AuditParamDefinitionUpdate
    AuditParamDefinitionResponse:
      properties:
        id:
          type: string
          title: Id
        key:
          type: string
          title: Key
        label:
          type: string
          title: Label
        data_type:
          type: string
          title: Data Type
        enum_values:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Enum Values
        required:
          type: boolean
          title: Required
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        application_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Application Id
        application:
          anyOf:
            - $ref: '#/components/schemas/AuditParamApplicationResponse'
            - type: 'null'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - key
        - label
        - data_type
        - required
        - created_at
        - updated_at
      title: AuditParamDefinitionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AuditParamApplicationResponse:
      properties:
        id:
          type: string
          title: Id
        key:
          type: string
          title: Key
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        accent_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Accent Color
        param_count:
          type: integer
          title: Param Count
          default: 0
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - key
        - name
        - created_at
        - updated_at
      title: AuditParamApplicationResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````